qt4 fucked at runtime wrt ssl in latest snap

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

qt4 fucked at runtime wrt ssl in latest snap

Landry Breuil-5
Hi,

updated work desktop to latest snap this morning, qt4 seems fucked at
runtime wrt libssl - qgis wont start. This is with qt4-4.7.8p8 but i doubt p9
would change anything.

Program received signal SIGBUS, Bus error.
0x000003b357088e63 in SSL_CTX_new (meth=0x3b2d653eee0) at /usr/src/lib/libssl/ssl_lib.c:1816
1816    /usr/src/lib/libssl/ssl_lib.c: No such file or directory.                          
        in /usr/src/lib/libssl/ssl_lib.c
(gdb) bt                      
#0  0x000003b357088e63 in SSL_CTX_new (meth=0x3b2d653eee0) at /usr/src/lib/libssl/ssl_lib.c:1816
#1  0x000003b382e15999 in QSslSocketPrivate::resetDefaultCiphers () from /usr/local/lib/libQtNetwork.so.10.0
#2  0x000003b382e15c75 in QSslSocketPrivate::ensureCiphersAndCertsLoaded () from /usr/local/lib/libQtNetwork.so.10.0
#3  0x000003b382e1833c in QSslSocketPrivate::systemCaCertificates () from /usr/local/lib/libQtNetwork.so.10.0
#4  0x000003b382e0cc2d in QSslSocket::systemCaCertificates () from /usr/local/lib/libQtNetwork.so.10.0
#5  0x000003b319d5fcc9 in QgsAuthManager::getSystemRootCAs () from /usr/local/lib/libqgis_core.so.15.0
#6  0x000003b319d6f130 in QgsAuthManager::rebuildCaCertsCache () from /usr/local/lib/libqgis_core.so.15.0
#7  0x000003b319d733d9 in QgsAuthManager::initSslCaches () from /usr/local/lib/libqgis_core.so.15.0
#8  0x000003b319d7459d in QgsAuthManager::init () from /usr/local/lib/libqgis_core.so.15.0

that's with libcrypto.so.41.0 and libssl.so.43.1, and packages on mirrors from
the 31/1

Landry

Reply | Threaded
Open this post in threaded view
|

Re: qt4 fucked at runtime wrt ssl in latest snap

Landry Breuil-5
On Wed, Feb 01, 2017 at 09:48:54AM +0100, Landry Breuil wrote:
> Hi,
>
> updated work desktop to latest snap this morning, qt4 seems fucked at
> runtime wrt libssl - qgis wont start. This is with qt4-4.7.8p8 but i doubt p9
> would change anything.

That was two problems in one, i had locally built gdal yesterday with a
special flavor, and that was again old ssl.42 - and qt4 hadnt got
updated 'correctly' after ssl/crypto bump, sthen fixed that part.

case closed :)
Landry